#include <bits/stdc++.h>

using namespace std;

void ispisiNiz(int n, int niz[]) {
	for (int i = 0; i < n; ++i)
		cout << niz[i] << " ";
	cout << endl;
}

long long binary_pow(long long a, long long b) {
	long long res = 1;
	while (b > 0) {
		if (b & 1) 
			res *= a;
		a = a * a;
		b >>= 1;
	}
	return res;
}


int main()
{	
	long int a, b;
	cin >> a >> b;
	int cifa, cifb, broj_cif = 0;
	long long broj = 0;
	while (a != 0 && b != 0) {
		cifa = a % 10;
		cifb = b % 10;
		a /= 10;
		b /= 10;
		if (cifa > cifb) {
			broj += cifa * binary_pow(10, broj_cif);
			broj_cif++;
		}
		else if (cifa < cifb) {
			broj += cifb * binary_pow(10, broj_cif);
			broj_cif++;
		}
		else {
			broj += cifb * binary_pow(10, broj_cif);
			broj_cif++;
			broj += cifb * binary_pow(10, broj_cif);
			broj_cif++;
		}
	}
		
	broj += a * binary_pow(10, broj_cif);
	broj += b * binary_pow(10, broj_cif);
	
	cout << broj;

	return 0;
}